Bug 744264 - [ipa webui] missing fields in password policy page
Summary: [ipa webui] missing fields in password policy page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Jenny Severance
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-07 17:11 UTC by Yi Zhang
Modified: 2011-12-06 18:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Web UI Password Policy interface miss some of the password policy fields present in the CLI (Max failures, Failure reset interval, Lockout duration, and Priority) Consequence: User cannot set these parameters via Web UI but has to fallback to CLI Fix: All missed Password Policy fields have been added to Web UI Result: Password Policy parameters can be fully managed from both CLI and Web UI
Clone Of:
Environment:
Last Closed: 2011-12-06 18:42:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
password policy screen shot (18.85 KB, image/png)
2011-10-26 17:07 UTC, Jenny Severance
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Yi Zhang 2011-10-07 17:11:11 UTC
Description of problem:
User can change the following options via "ipa pwpolicy-mod" CLI
--maxfail  --failinterval --lockouttime --priority

But user can not change above via password policy Web UI page


Version-Release number of selected component (if applicable): 2.1.1


How reproducible: always


Steps to Reproduce:
1. setup ipa server
2. go to password policy page: Policy (tab) -> Password Policies (sub tab) -> select any existing password policy (including global password policy)
3.
  
Actual results: No editable fields exist for "maxfail", "failinterval" "lockouttime" and "priority"


Expected results: Web UI should provide comparable feature as CLI


Additional info:

Comment 2 Dmitri Pal 2011-10-07 18:56:53 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1944

Comment 3 Rob Crittenden 2011-10-11 16:02:32 UTC
fixed upstream

master: 89b869d2c2ab6a86b3be12f1aff33437e9974571

ipa-2-1: 07b87aac69edab0ea4aaa79ec5b4edc7af2c382a

Comment 6 Jenny Severance 2011-10-26 17:07:15 UTC
Created attachment 530336 [details]
password policy screen shot

verified:

see attached screen shot

verision:
ipa-server-2.1.3-3.el6.x86_64

Comment 7 Martin Kosek 2011-10-31 19:45:40 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Web UI Password Policy interface miss some of the password policy fields present in the CLI (Max failures, Failure reset interval, Lockout duration, and Priority)
Consequence: User cannot set these parameters via Web UI but has to fallback to CLI
Fix: All missed Password Policy fields have been added to Web UI
Result: Password Policy parameters can be fully managed from both CLI and Web UI

Comment 8 errata-xmlrpc 2011-12-06 18:42:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.